## NAME

d.title - Outputs a TITLE for a raster map layer in a form suitable for display by d.text.
(GRASS Display Program)

## SYNOPSIS

d.title
d.title help
d.title [-f] map=name [color=name] [size=value]

## DESCRIPTION

d.title generates to standard output a string which can be used by d.text to draw a TITLE for the raster map layer name in the active display frame on the graphics monitor. Output created by d.title can be redirected into a file, or piped directly into d.text to display the map TITLE created by d.title. The map TITLE created will include the map layer's name, TITLE, MAPSET, LOCATION_NAME, geographic region boundary coordinates, and cell resolution.

The user can state program arguments on the command line, or type simply d.title on the command line. In the latter case, the program will prompt the user for the parameter values and flag setting using the standard GRASS parser interface.

### Flag:

-f
  Displays a fancier TITLE.

### Parameters:

map=name
  Name of an existing raster map layer in the user's mapset search path.
color=name
  Sets the current color to the name stated.
  Options: red, orange, green, blue, indigo, violet, black, white, gray, yellow, brown, and magenta
  Default: white
size=value
  Sets the text size as a percentage of the active display frame's height, to value. Floating point values can be used.
  Options: 0 - 100
  Default: 15.0

## EXAMPLE

For example, a user wishing to create a suitable TITLE for the Spearfish, SD soils map layer and to display this TITLE in the active display frame on the graphics monitor might type the following:

  d.title map=soils color=red size=5 > TITLE.file
  d.text < TITLE.file

Alternately, the user might pipe d.title output directly into d.text:

  d.title map=soils color=red size=5 | d.text

A file created by d.title can be displayed with d.text. Information contained in this file takes precedence over the color and size parameters for d.text.

## NOTES

The text created with d.text will not necessarily fit within the active display frame on the graphics monitor; the user should choose a text size appropriate to this frame.

## SEE ALSO

d.font
d.text
parser

## AUTHOR

James Westervelt, U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2002/01/25 05:45:33 $